Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Interface Properties

All Known Subinterfaces:
  ApplicationModule, AttributeDef, ComponentObject, RowSet, Variable, ViewLink, ViewObject, ViewObjectDynAttr, WSRowSet

All Known Implementing Classes:
  ApplicationModuleImpl, ApplicationModuleImpl, AttributeDefHelper, AttributeDefImpl, ComponentObjectImpl, ComponentUsageImpl, DomainAttributeDef, EntityCacheOverRowSet, JUCtrlParameterDef, PropertiesHelper, VariableImpl, ViewLinkImpl, ViewLinkImpl, ViewObjectImpl, ViewRowSetImpl, ViewUsageImpl, WSApplicationModuleImpl, WSAttributeDefImpl, WSComponentObjectImpl, WSRowSetImpl, WSViewLinkImpl, WSViewObjectImpl

public interface Properties

Provides access to custom name-value pairs stored in an object's metadata definition.

Since:
  JDeveloper 3.0

Method Summary
`java.util.Hashtable` | `getProperties()` Gets the table of properties.
`java.lang.Object` | `getProperty(java.lang.String hintName)` Retrieves the specified property, if it exists.
`java.lang.Object` | `refreshProperty(java.lang.String hintName)` Retrieves the specified property, if it exists.

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String hintName)

  Retrieves the specified property, if it exists.
  Parameters:
    `hintName` - Property name.
  Returns:
    the value of the property, if any, otherwise `null`.

### refreshProperty

    public java.lang.Object refreshProperty(java.lang.String hintName)

  Retrieves the specified property, if it exists. If the application running in a 3 tier environment, it retrieves the property from the middle-tier server, refreshing the value on the client side. If the application is running in a 2 tier environment, it is equivalent to `getProperty`.
  Parameters:
    `hintName` - Property name.
  Returns:
    the value of the property, if any, otherwise `null`.

### getProperties

    public java.util.Hashtable getProperties()

  Gets the table of properties.
  Returns:
    a hashtable of properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.